<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\AnwesenheitenKurs\ShowFilterAnwesenheiten;

abstract class ShowFilterAnwesenheitenController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getRequestObj()
  {
    $requestObj = new ShowFilterAnwesenheitenRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new ShowFilterAnwesenheitenPresenter($pUseCaseResponse);
  }
}